Description

As discussed in https://lists.osgeo.org/pipermail/qgis-ux/2015-October/000367.html, I think it would be good to give the user a chance to

create a print layout with map item. We could ship some templates which could be selected when creating a new composer:

newcomposermockup.png

History

#1 - 2015-10-10 11:14 AM - Andreas Neumann

- File qgis_composer_manager.png added

We already have the "Composer Manager" dialogue which allows to select a template. See attached file.

Maybe we can just display the "Composer Manager" dialogue instead? Maybe it needs to be improved to be easier for novices - but it seems suboptimal to

me to now have redundant ways to select templates.

#2 - 2015-10-10 11:16 AM - Regis Haubourg

Andreas Neumann wrote:

We already have the "Composer Manager" dialogue which allows to select a template. See attached file.

Maybe we can just display the "Composer Manager" dialogue instead? Maybe it needs to be improved to be easier for novices - but it seems

suboptimal to me to now have redundant ways to select templates.

+1 . Using Arcgis sometimes, I like the idea of having a thumbnail of what templates look like also. That could be an improvement for composer manager.

#3 - 2015-10-10 12:27 PM - Anita Graser

- File composermanager_new1.png added

What do you think of this draft

composermanager_new1.png

#4 - 2015-10-10 12:29 PM - Anita Graser

- File composermanager_new1.png added
#5 - 2015-10-10 12:39 PM - Anita Graser

Do you think it's better to have one dialog which combines Adding new and Editing existing composers? Or shouldn't those be two dialogs? One

specialized on adding a new composer and one only for existing ones?

#6 - 2015-10-11 12:40 AM - Anita Graser

- File deleted (composermanager_new1.png)

#7 - 2015-10-11 01:37 AM - Richard Duivenvoorde

Anita I like your proposal, I've actually never liked the little dialog of 'New print composer' because I never give a name when I want to do a quick print, and

mostly do not have one or two layouts per project.

So +1 for your layout (though maybe the preview is a lot of work?) And I would propose to remove the 'New print composer' menu item (even if the preview

does not make it), so people always go via the 'Composer manager' (which could be renamed maybe to 'Composers' or 'Prints')?

#8 - 2015-10-11 04:09 AM - Andreas Neumann

Hi Anita,

I like the proposal. I also like the idea of the preview. Would the preview only be shown for templates or also for existing composers? May be a performance

problem for more complex maps in layouts ...

The only thing I miss is that I'd like to be able to set a name for the new print composer right from the start. As opposed to Richard I usually publish my

projects with QGIS server - and there the name of the composer is important - as it will show up in the Web-GIS. So could we add an additional text input

widget in the "New from template" section where one can also set the name.

For me it would be annoying if I would have to create a new composer and then have to set the name in a separate step by renaming the composer.

I assume we also allow a "blank" template?

Thanks,

Andreas

#9 - 2015-10-11 04:11 AM - Andreas Neumann

Or maybe we won't show the map in the preview but replace it with a map icon or simple default map displayed in the map frame.

#10 - 2015-10-11 04:38 AM - Harrissou Santanna

Andreas Neumann wrote:

The only thing I miss is that I'd like to be able to set a name for the new print composer right from the start. As opposed to Richard I usually publish

my projects with QGIS server - and there the name of the composer is important - as it will show up in the Web-GIS. So could we add an additional

text input widget in the "New from template" section where one can also set the name.

For me it would be annoying if I would have to create a new composer and then have to set the name in a separate step by renaming the composer.
+1. I also often have many print composers in each project (not for server, just export as image) and find very handy to name them as soon as they are

created.

#11 - 2015-10-11 05:28 AM - Anita Graser

Richard Duivenvoorde wrote:

maybe the preview is a lot of work?

Maybe, I'd consider the preview optional nice to have.

I would propose to remove the 'New print composer' menu item (even if the preview does not make it), so people always go via the 'Composer

manager' (which could be renamed maybe to 'Composers' or 'Prints')?

+1 for getting rid of the current New Print Composer/Composer title dialog and using only Composer Manager. I think we had a discussion before where

many agreed that renaming Compositions to something like "print designs" would be desirable. Will have to dig out that thread.

Andreas Neumann wrote:

Would the preview only be shown for templates or also for existing composers? May be a performance problem for more complex maps in layouts

...

Both would be nice. The preview could be stored similarly to the way recent project previews are stored now. That wouldn't impact performance I think.

could we add an additional text input widget in the "New from template" section where one can also set the name.

There could be a text input with a default name that can be changed by the user.

I assume we also allow a "blank" template?

Sure, maybe: "blank", "full page map", and "map with title, legend, and scalebar" ...

Or maybe we won't show the map in the preview but replace it with a map icon or simple default map displayed in the map frame.

That sounds like a good approach if it makes the implementation much easier.

#12 - 2015-10-11 05:30 AM - Anita Graser

What are your thoughts on the "Open template directory" buttons? They seem very odd and I don't recall that we have anything similar anywhere else in the

GUI.

#13 - 2015-10-11 05:41 AM - Anita Graser

- File composermanager_new2.png added
composermanager_new2.png

#14 - 2015-10-11 05:42 AM - Anita Graser

- File composermanager_new2.png added

#15 - 2015-10-11 05:43 AM - Anita Graser

- File deleted (composermanager_new2.png)

#16 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
